package com.qmth.cqb.paper.assemble;

import cn.com.qmth.examcloud.common.dto.question.PaperDetailUnitDto;
import com.qmth.cqb.paper.model.PaperDetailUnit;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * Created by songyue on 18/1/5.
 */
@Component
public class PaperDetailUnitDtoAssembler {

    public PaperDetailUnitDto toDto(PaperDetailUnit paperDetailUnit){
        PaperDetailUnitDto paperDetailUnitDto = new PaperDetailUnitDto();
        paperDetailUnitDto.setId(paperDetailUnit.getId());
        paperDetailUnitDto.setNumber(paperDetailUnit.getNumber());
        paperDetailUnitDto.setScore(paperDetailUnit.getScore());
        paperDetailUnitDto.setOptionOrder(paperDetailUnit.getOptionOrder());
        paperDetailUnitDto.setQuestionType(paperDetailUnit.getQuestionType());
        paperDetailUnitDto.setSubScoreList(paperDetailUnit.getSubScoreList());
        return paperDetailUnitDto;
    }

    public List<PaperDetailUnitDto> toDtoList(List<PaperDetailUnit> paperDetailUnitList){
        List<PaperDetailUnitDto> paperDetailUnitDtos = new ArrayList<>();
        for(PaperDetailUnit pdu:paperDetailUnitList){
            paperDetailUnitDtos.add(toDto(pdu));
        }
        return paperDetailUnitDtos;
    }
}
